import { EventEmitter, OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class GrcObjectListComponent implements OnInit {
    animation: boolean;
    CDN_LINK: {
        grcObjectName: string;
        grcOwners: string;
        grcRC: string;
        grcType: string;
        customFields: string;
        noData: string;
        linkOthers: string;
        linkGRC: string;
        linkPolicyNoDataImage: string;
        linkedPolicyImage: string;
    };
    tableCard: {
        title: string;
        count: number;
        selectedCount: number;
        key: string;
        type: number;
    }[];
    loader: boolean;
    cardLoader: boolean;
    grcObject: any;
    currentPage: number;
    selectedGRC: any;
    selectedGRCIds: any;
    searchString: string;
    preSelectedGRC: any;
    selectAllButton: 'Select All' | 'Deselect All';
    selectedTab: 0 | 1 | 2 | 3;
    mode: 'CREATE' | 'EDIT';
    onEditGRCId: string;
    set setSelectedGRC(selectedGRC: any);
    saveOtherGRC: EventEmitter<any>;
    closeOtherGRC: EventEmitter<any>;
    getOtherGRCObjects: EventEmitter<any>;
    constructor();
    ngOnInit(): void;
    getIds(selectedList: Array<any>, key: string): any[];
    getSelectedGRC(grc: any, event: any): void;
    deleteEvent(grc: any): void;
    handleSearch(event: any): void;
    selectAll(event: any): void;
    updateTabSelectedCount(event: boolean, type: number): void;
    isAllSelected(): boolean;
    save(): void;
    close(): void;
    changePage(event: number): void;
    setSelectedTab(event: any): void;
    resetSelectedTabCount(): void;
    setSelectedTabCount(data: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GrcObjectListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GrcObjectListComponent, "app-grc-object-list", never, { "grcObject": { "alias": "grcObject"; "required": false; }; "currentPage": { "alias": "currentPage"; "required": false; }; "loader": { "alias": "loader"; "required": false; }; "tableCard": { "alias": "tableCard"; "required": false; }; "selectedTab": { "alias": "selectedTab"; "required": false; }; "cardLoader": { "alias": "cardLoader"; "required": false; }; "onEditGRCId": { "alias": "onEditGRCId"; "required": false; }; "mode": { "alias": "mode"; "required": false; }; "setSelectedGRC": { "alias": "selectedGRC"; "required": false; }; }, { "saveOtherGRC": "saveOtherGRC"; "closeOtherGRC": "closeOtherGRC"; "getOtherGRCObjects": "getOtherGRCObjects"; }, never, never, true, never>;
}
